import * as React from "react";
import NumberField from "./NumberField";
export default class CurrencyField extends React.Component {
    constructor() {
        super(...arguments);
        this.humanize = (money) => {
            let [dollar, cents] = (money || 0).toFixed(2).split('.');
            let value = ('$ ' +
                dollar
                    .split('')
                    .reverse()
                    .reduce(function (acc, money, i) {
                    return money + (i && !(i % 3) ? ',' : '') + acc;
                }, ''));
            return parseInt(cents) !== 0 ? [value, cents].join('.') : value;
        };
    }
    shouldComponentUpdate(nextProps) {
        return nextProps.value !== this.props.value || nextProps.disabled !== this.props.disabled;
    }
    render() {
        const { value, disabled, onChange } = this.props;
        return (<NumberField value={value} displayContent={this.humanize(value)} disabled={disabled} onChange={onChange}/>);
    }
}
CurrencyField.defaultProps = {
    disabled: false
};
//# sourceMappingURL=CurrencyField.jsx.map