import ContentEditable from "./ContentEditable";
import * as React from "react";
export default class NumberField extends React.Component {
    constructor() {
        super(...arguments);
        this.handleKeyPress = (e) => {
            if (String.fromCharCode(e.which) !== '-' &&
                String.fromCharCode(e.which) !== '.' &&
                isNaN(Number(String.fromCharCode(e.which)))) {
                e.preventDefault();
            }
        };
        this.onChange = (newContent) => {
            const newValue = Number(newContent);
            this.props.onChange(newValue);
        };
        this.content = () => {
            return this.props.value.toString();
        };
    }
    shouldComponentUpdate(nextProps) {
        return nextProps.value !== this.props.value || nextProps.disabled !== this.props.disabled;
    }
    render() {
        const { disabled, displayContent } = this.props;
        return (<ContentEditable content={this.content()} displayContent={displayContent} disabled={disabled} onChange={this.onChange} onKeyPress={this.handleKeyPress}/>);
    }
}
NumberField.defaultProps = {
    disabled: false
};
//# sourceMappingURL=NumberField.jsx.map