import * as React from 'react';
import { SelectSpan, StyledSelect } from './styles/SelectField';
class SelectField extends React.Component {
    constructor() {
        super(...arguments);
        this.handleChange = evt => {
            this.props.onChange(evt.target.value);
        };
    }
    shouldComponentUpdate(nextProps) {
        return (nextProps.disabled !== this.props.disabled ||
            nextProps.value !== this.props.value ||
            nextProps.options !== this.props.options);
    }
    render() {
        const { options, value } = this.props;
        return (<SelectSpan>
        {options[value]}
        <StyledSelect onChange={this.handleChange} value={value}>
          {Object.keys(options).map(key => {
            const val = options[key];
            return (<option value={key} key={key}>
                {val}
              </option>);
        })}
        </StyledSelect>
      </SelectSpan>);
    }
}
SelectField.defaultProps = {
    disabled: false,
    onChange: () => { }
};
export default SelectField;
//# sourceMappingURL=SelectField.jsx.map